Package org.eclipse.emf.cdo.session.remote

## Interface CDORemoteSessionEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  All Known Subinterfaces:
    `CDORemoteSessionEvent.MessageReceived`, `CDORemoteSessionEvent.SubscriptionChanged`

      public interface CDORemoteSessionEvent
      extends org.eclipse.net4j.util.event.IEvent

  A generic `event` fired from a `remote session manager` to indicate `remote session` activities.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDORemoteSessionEvent.MessageReceived` | A `remote session event` fired from a `remote session manager` when a `message` from a `remote session` has been received.
    `static interface` | `CDORemoteSessionEvent.SubscriptionChanged` | A `remote session event` fired from a `remote session manager` when the `subscription state` of a `remote session` has changed.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDORemoteSession` | `getRemoteSession()` |
    `CDORemoteSessionManager` | `getSource()` |

- - ### Method Detail

    - #### getSource

          CDORemoteSessionManager getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Since:
        3.0

    - #### getRemoteSession

          CDORemoteSession getRemoteSession()